%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-File-Rsync
Version:       0.49
Release:       1mamba
Summary:       File-Rsync - A wrapper module for rsync
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/L/LE/LEAKIN/File-Rsync-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 perl-File-Rsync' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
File-Rsync - A wrapper module for rsync.

%prep
%setup -q -n File-Rsync-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README TODO

%changelog
* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 0.49-1mamba
- automatic update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 0.48-1mamba
- automatic update by autodist

* Thu Aug 27 2015 Automatic Build System <autodist@mambasoft.it> 0.46-1mamba
- automatic update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 0.45-1mamba
- automatic update by autodist

* Wed Apr 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43-1mamba
- package created using the webbuild interface
